# VecPackAddArray

adds an "redundant" array to a VecPack. The array values will be stored in part of the array on processor 0.

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode VecPackAddArray(VecPack packer,PetscInt n)

Collective on VecPack

### Input Parameter

| packer | - the packer object
| n | - the length of the array

### See Also

VecPackDestroy(), VecPackGather(), VecPackAddDA(), VecPackCreateGlobalVector(),
VecPackScatter(), VecPackCreate(), VecPackGetGlobalIndices(), VecPackGetAccess(), VecPackGetLocalVectors(), VecPackRestoreLocalVectors()

Level:advanced
Location:src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex24.c.html